@media (max-width: 1290px) {

  .purenote-pro-container {
    padding: 0px 20px;
    width: 100% !important;
  }

  .custom-button-wrap.purenote-pro-icon-elements a {
    font-size: 0;
    display: inline-grid;
    border-radius: 50px;
    width: 35px;
    height: 35px;
    line-height: 35px;
    padding: 0px 2px;
  }

  span.custom-icon {
    padding: 0px 7px;
    font-size: 18px;
  }

}

@media (max-width: 979px) {

  .timeline-wrapper{
    padding-top:20px;
  }

  .purenote-pro-banner-wrapper .purenote-pro-flex {
    display: block;
  }

  .purenote-pro-menu-toogle {
    display: inline;
    font-size: 22px;
    border: 0;
    color: #000;
    line-height: 25px;
    border-radius: 0;
    cursor: pointer;
    padding: 0.6em 0 0;
    background-color: #fff;
  }

  .purenote-pro-search-subscribe.purenote-pro-flex {
    gap: 20px;
  }

  .news-ticker-label {
    padding: 15px 3px;
  }

  .news-ticker-label .label-text {
    font-size: 0;
  }

  .bottom-header-wrapper {
    position: relative;
  }

  /* Mobile Menu */
  #site-navigation .primary-menu-wrap {
    background: #E53935;
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    z-index: 99;
  }

  #site-navigation ul {
    display: block;
  }

  #site-navigation ul li {
    display: block;
    float: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  }

  #site-navigation ul li a {
    line-height: 42px;
    padding: 0px 20px;
    color: #fff;
  }

  #site-navigation ul li a::after {
    display: none;
  }

  #site-navigation ul.sub-menu,
  #site-navigation ul.children {
    position: static;
    min-width: 100%;
    opacity: 1;
    visibility: visible;
    display: none;
    background: none;
    transition: none;
    transform: translateY(0);
  }

  #site-navigation ul li:hover > a,
  #site-navigation ul li.current-menu-item > a,
  #site-navigation ul li.current_page_item > a,
  #site-navigation ul li.current-menu-ancestor > a,
  #site-navigation ul li.focus > a {
    background-color: #fff;
  }

  #site-navigation ul li:hover > ul.sub-menu,
  #site-navigation ul li:hover > ul.children,
  #site-navigation ul li.focus > ul.sub-menu,
  #site-navigation ul li.focus > ul.children {
    box-shadow: none;
    border-radius: 0;
  }

  .primary-menu-wrapper .purenote-pro-flex {
    flex-direction: row;
    align-items: center;
  }

  #site-navigation .menu-item-description,
  #site-navigation ul li.menu-item-has-children > a::before,
  #site-navigation ul li.page_item_has_children > a::before {
    display: none;
  }

  #site-navigation ul li a.purenote-pro-sub-menu-toggle {
    background: #fff;
    color: #E53935;
    cursor: pointer;
    display: block;
    height: 24px;
    line-height: 25px;
    position: absolute;
    right: 15px;
    top: 8px;
    width: 24px;
    text-align: center;
    padding: 0 !important;
  }

  #site-navigation ul li a.purenote-pro-sub-menu-toggle:hover,
  #site-navigation ul li a.purenote-pro-sub-menu-toggle:focus {
    background: #333;
    color: #fff;
  }

  #site-navigation {
    width: 60%;
  }

  #secondary,
  .home.blog #secondary,
  .secondary-content-wrapper,
  #primary,
  .home.blog #primary,
  .primary-content-wrapper,
  .lSSlideOuter,
  .timeline-wrap {
    width: 100%;
  }

  .archive-style--grid .archive-content-wrapper article {
    width: 98%;
  }

  .site-logo-wrapper .purenote-pro-container.purenote-pro-grid {
    grid-template-columns: 100%;
  }

  .purenote-pro-banner-wrapper .slide-content-wrap {
    left: 20px;
    width: 90%;
  }


}

@media (max-width: 768px) {

  .highlight-slider-wrapper .swiper-slide {
    flex: 0 0 335px;
    max-width: 335px;
  }

  .highlight-slider-wrapper .post-thumb-wrap img {
    height: 160px;
  }

  .custom-button-next {
    right: 0;
  }

  .custom-button-prev {
    left: 0;
  }

  .carousel-posts-wrap.blogzee-card {
    padding: 0px 5px;
  }

  .site-title {
    text-align: center;
  }

  #site-navigation {
    margin: unset;
  }

  .purenote-pro-banner-wrapper.banner-placed--timeline .timeline-wrapper, .frontpage-banner-layout--two .timeline-wrapper{
    grid-template-columns: 49% 49%;
  }

}

@media (max-width: 550px) {

  .purenote-pro-banner-wrapper .slide-title a,
  .frontpage-block .entry-title a,
  .slide-title a,
  .trending-posts .entry-title a,
  .latest-posts-wrapper .posts-column-wrapper .entry-title a,
  .header-news-ticker-wrapper .post-title a,
  .entry-title a {
    font-size: 22px;
  }

  .purenote-pro-banner-wrapper .slide-content-wrap .slide-title {
    line-height: 1;
  }

  .purenote-pro-banner-wrapper .lSSlideOuter .post-excerpt {
    font-size: 12px;
  }

  .block-wrapper-layout.purenote-pro-flex {
    display: block;
    position: relative;
}
.block-wrapper-title-description {
    display: block;
    gap: 10px;
    align-items: center;
}

.block-description {
    border-left: 0;
    padding-left: 0;
}

.block-wrapper-button {
    margin-left: 0;
    text-align: left;
    padding-bottom: 20px;
}

.blog-carousel-block .lSAction {
    position: absolute;
    top: 40px;
    left: 70%;
    right: 38px;
    gap: 20px;
}

.archive-style--list .archive-content-wrapper article .single-post-wrap, .search.archive-style--list .archive-content-wrapper article{
  grid-template-columns: 100%;
}

.archive-style--list .archive-content-wrapper article .purenote-pro-post-content-wrap {
    top: 10px;
    width: 100%;
    margin: 0;
}

.archive-style--list .archive-content-wrapper article.posts-layout--two .purenote-pro-post-content-wrap {
    top: 10px;
}

  .purenote-pro-web-stories .story {
    flex: 0 0 auto;
    width: 385px;
}

.highlight-slider-wrapper .swiper-slide {
    flex: 0 0 345px;
    max-width: 345px;
}

.footer-widget--column-three .footer-widget-wrapper.purenote-pro-grid,
.footer-widget--column-two .footer-widget-wrapper.purenote-pro-grid,
.footer-widget--column-four .footer-widget-wrapper.purenote-pro-grid {
    grid-template-columns: 100%;
}

.purenote-pro-banner-wrapper .purenote-pro-container, .purenote-pro-banner-wrapper .block-wrapper, .site-logo-wrapper .purenote-pro-grid {
    display: block;
}

.purenote-pro-site-layout--boxed #page {
    width: 100% !important;
}

.purenote-pro-site-layout--boxed .purenote-pro-container, .purenote-pro-site-layout--boxed .site-logo-wrapper .purenote-pro-grid {
    width: 100%;
    padding: 0 20px;
}

.purenote-pro-site-layout--boxed .highlight-slider-wrapper .swiper-slide {
    flex: 0 0 381px;
    max-width: 381px;
}

  .purenote-pro-banner-wrapper.banner-placed--timeline .timeline-wrapper, .frontpage-banner-layout--two .timeline-wrapper{
    grid-template-columns:99%;
  }

  .timeline-wrapper .single-post-wrapper{
    grid-template-columns: 30% 64%;
  }

.purenote-pro-site-layout--boxed .blog-carousel-block .lSAction a.lSPrev {
    left: auto;
}

.purenote-pro-site-layout--boxed .blog-carousel-block .lSAction a.lSNext {
    right: 5px;
}

.purenote-pro-site-layout--boxed .blog-carousel-block .lSAction {
    top: 28px;
}

.purenote-pro-site-layout--boxed .purenote-pro-banner-wrapper.banner-placed--slider .slide-content-wrap, .banner-layout--two .slide-content-wrap{
  width:88%;
}

}
